Loading...
Searching...
No Matches
oscap_stringlist Struct Reference
Common » STRINGS

A collection of strings. More...

`#include <oscap_text.h>`

## Public Member Functions

Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API struct oscap_string_iterator * | oscap_stringlist_get_strings (const struct oscap_stringlist *list)
OSCAP_API struct oscap_stringlist * | oscap_stringlist_clone (struct oscap_stringlist *list)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | oscap_stringlist_add_string (struct oscap_stringlist *list, const char *str)
OSCAP_API struct oscap_stringlist * | oscap_stringlist_new (void)
OSCAP_API void | oscap_stringlist_free (struct oscap_stringlist *list)

## Detailed Description

A collection of strings.

The documentation for this struct was generated from the following file:

- oscap_text.h